This website uses cookies that are essential to the operation of this site, to personalize content and allow us to analyze site performance. If you continue to use our website, you consent to the use of our cookies. Click OK to indicate your acceptance of our cookie policy, including advertising cookies, analytics cookies, and sharing of information with social media, advertising and analytics partners.

Learn more >
During this unprecedented time of uncertainty due to the Coronavirus (COVID-19) outbreak, we want to assure you that you can count on SmartSense to continue to support your business. Our Technical Support team is available to address your needs. Learn More.

Cloud Dashboards Support

Product guides, videos, downloads, and more.

SmartSense: Software Compatibility Matrix

Product compatibility and support matrix

Use the information on this page to understand recommended browsers and devices that provide the best experience using SmartSense software products.


SmartSense 4.0

Browser Version Windows MacOS
Chrome Version 81 or higher
Edge Version 81 or higher
Safari
NA
Internet Explorer
NA
Firefox

  Fully supported

  Not supported, features may work

  Not supported/unreliable

NA  Not available on the platform


iOS Compatibility

Applications Compatible iOS Devices iOS Versions App Version
SmartSense Task iPhone 6 and newer
iPad 2, iPad Mini, and newer
iOS 10 or later
iPad OS 13 or later
1.0.184 or later
Safetemps iPhone 6 and newer
iPad 2, iPad Mini, and newer
iOS 10 or later
iPad OS 13 or later
1.0.20 or later
Cold Chain iPhone 6 and newer
iPad 2, iPad Mini, and newer
iOS 10 or later
iPad OS 13 or later
1.75.82 or later


Android Compatibility

Applications Compatible Android Devices Android Versions App Version
SmartSense Task Supported on all smartphones and tablets with screen 4.7" or larger Android 6 (Marshmallow) or later 1.0.184 or later
Safetemps Supported on all smartphones and tablets with screen 4.7" or larger Android 6 (Marshmallow) or later 1.0.20 or later
Cold Chain Supported on all smartphones and tablets with screen 4.7" or larger Android 6 (Marshmallow) or later 1.75.82 or later

Was this article helpful?

Need additional help?

SmartSense support is standing by to help
Monday-Friday 8am-5pm EST